import 'package:freezed_annotation/freezed_annotation.dart';

part 'project.freezed.dart';

@freezed
class NewProject with _$NewProject {
  const factory NewProject({
    required String name,
    String? description,
    String? clientId,
    required String userId,
  }) = _NewProject;
}

@freezed
class Project with _$Project {
  const factory Project({
    required String id,
    required String name,
    String? description,
    String? clientId,
    required String userId,
    required DateTime createdAt,
    required DateTime updatedAt,
  }) = _Project;
}

@freezed
class ProjectUpdate with _$ProjectUpdate {
  const factory ProjectUpdate({
    String? name,
    String? description,
    String? clientId,
    String? userId,
  }) = _ProjectUpdate;
}
